%define		codename	jumbo-7

Name:		john
Version:	1.7.9
Release:	%mkrel 9
Summary:	John the Ripper password cracker
License:	GPLv2
Group:		Security
URL:		http://www.openwall.com/john/
Source:		http://www.openwall.com/john/g/%{name}-%{version}-%{codename}.tar.bz2
Patch0:		john-1.7.9-jumbo7_inline.patch
BuildRequires:	openssl-devel

%description
John the Ripper is a fast password cracker. Its primary purpose is to
detect weak Unix passwords, but a number of other hash types are
supported as well.

%prep
%setup -q -n %{name}-%{version}-%{codename}
%patch0 -p1 -b inline

%{__perl} -pi.orig -e 's|^(\#define CFG_FULL_NAME)\s.+$|$1 "%{_sysconfdir}/%{name}.conf"|' src/params.h

%build
CFLAGS="-c %{optflags} -DJOHN_SYSTEMWIDE -fomit-frame-pointer"
%ifarch %{ix86}
%define _with_cpu_fallback 1
%make -C src CFLAGS="$CFLAGS -DCPU_FALLBACK=1" linux-x86-any
mv -f run/%{name} run/%{name}-non-mmx
%make -C src clean
%make -C src CFLAGS="$CFLAGS -DCPU_FALLBACK=1" linux-x86-mmx
mv -f run/%{name} run/%{name}-non-sse
%make -C src clean
%make -C src CFLAGS="$CFLAGS -DCPU_FALLBACK=1" linux-x86-sse2
%endif
%ifarch x86_64
%make -C src CFLAGS="$CFLAGS" linux-x86-64
%endif
%ifarch %arm
%make -C src CFLAGS="$CFLAGS" generic
%endif

%install
install -Dp -m0644 run/%{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -Dp -m0755 run/%{name} %{buildroot}%{_bindir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}/
install -p -m0644 run/*.chr run/password.lst %{buildroot}%{_datadir}/%{name}/
install -p -m0644 run/*.conf %{buildroot}%{_datadir}/%{name}/

ln -s -f %{name} %{buildroot}%{_bindir}/unafs
ln -s -f %{name} %{buildroot}%{_bindir}/unique
ln -s -f %{name} %{buildroot}%{_bindir}/unshadow

%if %{?_with_cpu_fallback:1}0
install -d -m0755 -p %{buildroot}%{_libexecdir}/%{name}
install -m0700 run/%{name}-* %{buildroot}%{_libexecdir}/%{name}/
%endif

install -D -m 644 run/john.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/john

%files
%doc doc/* run/mailer
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/bash_completion.d/john
%{_bindir}/%{name}
%{_bindir}/unafs
%{_bindir}/unique
%{_bindir}/unshadow
%{_datadir}/%{name}
%if %{?_with_cpu_fallback:1}0
%{_libexecdir}/%{name}
%endif


%changelog
* Tue Oct 21 2014 guillomovitch <guillomovitch> 1.7.9-9.mga5
+ Revision: 792317
- install bash completion

* Wed Oct 15 2014 umeabot <umeabot> 1.7.9-8.mga5
+ Revision: 740079
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.9-7.mga5
+ Revision: 680843
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.9-6.mga4
+ Revision: 523342
- Mageia 4 Mass Rebuild

* Sun Apr 07 2013 rtp <rtp> 1.7.9-5.mga3
+ Revision: 408917
- Use generic target when building on arm

* Sat Jan 12 2013 umeabot <umeabot> 1.7.9-4.mga3
+ Revision: 355531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 matteo <matteo> 1.7.9-3.mga3
+ Revision: 323515
- fixed/bumped release
- new version (jumbo-7)
- fixed inline issue mga#7911

  + malo <malo>
    - update RPM group

* Wed Mar 07 2012 matteo <matteo> 1.7.9-2.mga2
+ Revision: 221355
- added missing configuration files

* Wed Mar 07 2012 matteo <matteo> 1.7.9-1.mga2
+ Revision: 221341
- new version
- removed faulty lines, removed unuseful architectures
- fixed install section for arch ix86
- new spec file for updated sources

  + guillomovitch <guillomovitch>
    - spec cleanup

  + kharec <kharec>
    - Update to jumbo 4
    - imported package john

